@setLocal
@echo off
REM          IBM WebSphere Portal 6.0 Document Conversion Services Troubleshooting
Set COPYCMD=/Y
Set Help=

echo "******************** Starting Standalone Document Conversion ****************************"
echo ""

xcopy /S /Q "..\convertors.xml" configfiles\.
xcopy /S /Q "..\oiexport\common\verbuild.h" configfiles\.

echo "Starting the standalone conversion now, converted files will be in the folder outputfiles, unzip the files and view them to see if the conversion is happening correctly now"
echo ""

java -cp ..\Export.jar;..\convertors.jar;..\..\..\IBMTrans\lib\xerces.jar com.ibm.wps.odc.convert.TestDriver "application/msword" "application/html.zip" "samplefiles\new.doc" "outputfiles\new.html.zip" > logfiles\newdoctohtml.txt
java -cp ..\Export.jar;..\convertors.jar;..\..\..\IBMTrans\lib\xerces.jar com.ibm.wps.odc.convert.TestDriver "application/msword" "application/vnd.stellent-searchml.zip" "samplefiles\new.doc" "outputfiles\new.searchml" > logfiles\newdoctosearchml.txt
java -cp ..\Export.jar;..\convertors.jar;..\..\..\IBMTrans\lib\xerces.jar com.ibm.wps.odc.convert.TestDriver "application/vnd.ms-powerpoint" "application/html.zip" "samplefiles\newppt.ppt" "outputfiles\newppt.html.zip" > logfiles\newppttohtml.txt
java -cp ..\Export.jar;..\convertors.jar;..\..\..\IBMTrans\lib\xerces.jar com.ibm.wps.odc.convert.TestDriver "application/vnd.ms-powerpoint" "application/vnd.stellent-searchml.zip" "samplefiles\newppt.ppt" "outputfiles\newppt.searchml" > logfiles\newppttosearchml.txt

echo ""
echo "******************** Standalone Document Conversion Finished****************************"
